%global commit db10d2fc753f00b3dad24956921056eaf1e03708

Name:           nodejs-assertion-error
Version:        1.0.1
Release:        3%{?dist}
Summary:        Error constructor for test and validation frameworks

License:        MIT
URL:            https://github.com/chaijs/assertion-error
Source0:        https://github.com/chaijs/assertion-error/archive/%{commit}/assertion-error-%{commit}.tar.gz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%description
Error constructor for test and validation frameworks that implements
standardized AssertionError specification.


%prep
%setup -q -n assertion-error-%{commit}
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/assertion-error
cp -r package.json index.js %{buildroot}/%{nodejs_sitelib}/assertion-error
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} test/index.js


%files
%doc README.md History.md
%{nodejs_sitelib}/assertion-error


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar  6 2015 Tom Hughes <tom@compton.nu> - 1.0.1-1
- Update to 1.0.1 upstream release
- Switch to using github as source so we get tests

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 17 2013 Tom Hughes <tom@compton.nu> - 1.0.0-1
- Initial build of 1.0.0
